Subject: [Gen-art] Gen-ART LC review of draft-ietf-sieve-notify-sip-message-05.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 26 Sep 2011 14:41:34 +1300

Please see attached review.

---

From: Barry Leiba <[email-masked]>
Date: Mon, 26 Sep 2011 09:17:50 -0400

Thanks for the review, Brian.

> I was briefly confused by Section 2.4. (Notify tag ":importance")
>
> It only mentions three possible values of "Priority" but RFC 3261
> mentions four (the extra one is "emergency") and states that
> "additional values can be defined elsewhere." I think it should be
> noted that the :importance tag can only express a subset of the SIP
> Priority header semantics, and does not provide a separate category
> for "when life, limb, or property are in imminent danger" [RFC3261].

Yes, that's a good point.

New text:
          The ":importance" tag is intended to convey the importance of the
          SIP MESSAGE notification, not the importance of the email message
          that generated the notification.
          The value of the ":importance" tag MAY, therefore, be
transformed into SIP
          "Priority" header field (in addition to or instead of
including it in the
          body of the message).
          Note that because the Sieve ":importance" tag only has three values,
          not all SIP "Priority" values can be represented in the
transformation.
          If this transformation is done, the value of the "Priority"
header field MUST be
          "urgent" if the value of the ":importance" tag is "1",
          "normal" if the value of the ":importance" tag is "2",
          and "non-urgent" if the value of the ":importance" tag is "3".
          There is no mapping to the SIP value "emergency", nor to any
additional values
          that might be defined.

Does that work?

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 27 Sep 2011 08:50:12 +1300

wfm

Thanks
   Brian